ACPI Error: [\_SB_.PCI0.XHC_.RHUB.HS11] Namespace lookup failure, AE_NOT_FOUND (20150930/dswload-210)

Bug #1584407 reported by SunBear on 2016-05-22
88
This bug affects 18 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

[ 0.016192] ACPI Error: [\_SB_.PCI0.XHC_.RHUB.HS11] Namespace lookup failure, AE_NOT_FOUND (20150930/dswload-210)
[ 0.016195] ACPI Exception: AE_NOT_FOUND, During name lookup/catalog (20150930/psobject-227)
[ 0.016222] ACPI Exception: AE_NOT_FOUND, (SSDT:xh_rvp08) while loading table (20150930/tbxfload-193)
[ 0.021348] ACPI Error: 1 table load failures, 7 successful (20150930/tbxfload-214)

I have noticed this ACPI error persisting in my syslog and dmesg. Based on what I have learnt from ACPI, acpitool -w and lspci, I think the error is related to Namespaces provided in the DDST on \_SB_.PCI0.XHC_.RHUB.HS11, which I think concerns the Root → System bus tree → PCI bus → USB controller: Intel Corporation Sunrise Point-H USB 3.0 xHCI Controller (rev 31) in my system. I have not found what .RHUB.HS11 refers too. I have tried changing my UEFI USB settings but to no avail. Appreciate help to fix this bug.

I reported it as a question https://answers.launchpad.net/ubuntu/+question/293489 and to https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1553690. https://launchpad.net/~penalvch advice me to make this ubuntu-bug report.

$ lsb_release -rd
Description: Ubuntu 16.04 LTS
Release: 16.04

$ uname -r
4.4.0-22-generic

MB Bios: ASUS z170m-plus version 0704

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.4.0-22-generic 4.4.0-22.40
ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_modeset nvidia
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: sunbear1604 1905 F.... pulseaudio
 /dev/snd/controlC0: sunbear1604 1905 F.... pulseaudio
CurrentDesktop: Unity
Date: Sun May 22 07:48:53 2016
HibernationDevice: RESUME=UUID=c1eef599-9978-461e-a399-a04370b6ae59
InstallationDate: Installed on 2016-05-01 (20 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
IwConfig:
 enp0s31f6 no wireless extensions.

 lo no wireless extensions.
MachineType: System manufacturer System Product Name
ProcFB:
 0 EFI VGA
 1 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-22-generic.efi.signed root=UUID=69a55da3-4a70-4239-8e7e-2430ceac525d ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-22-generic N/A
 linux-backports-modules-4.4.0-22-generic N/A
 linux-firmware 1.157
RfKill:

SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 02/18/2016
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0704
dmi.board.asset.tag: Default string
dmi.board.name: Z170M-PLUS
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Default string
dmi.chassis.type: 3
dmi.chassis.vendor: Default string
dmi.chassis.version: Default string
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0704:bd02/18/2016:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnZ170M-PLUS:rvrRevX.0x:cvnDefaultstring:ct3:cvrDefaultstring:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

SunBear (sunbear-c22) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

I executed instructions 1 to 3 of https://01.org/linux-acpi/utilities in an attempt to understand the failure msg mentioned above. The generated files from instructions 1 to 3 are attached. SSDT 2,3,4 & 6 were dissembled with reference to DSDT, e.g. $ iasl -e dsdt.dat -d ssdt2.dat, and DSDT.dat was dissembled with reference to SSDT*.dat.

My findings:

1. from acpidump.out, SB_PCI0XHC_RHUBHS11 is refer to in the 5th SSDT table.
  0340: 88 55 48 53 44 0A 09 00 0A 0A 10 3C 5C 2F 05 5F .UHSD......<\/._
  0350: 53 42 5F 50 43 49 30 58 48 43 5F 52 48 55 42 48 SB_PCI0XHC_RHUBH
  0360: 53 31 31 14 0C 5F 55 50 43 00 A4 47 55 50 43 01 S11.._UPC..GUPC.
  0370: 14 16 5F 50 4C 44 00 A4 47 50 4C 44 83 88 55 48 .._PLD..GPLD..UH
  0380: 53 44 0A 0A 00 0A 0B 10 3C 5C 2F 05 5F 53 42 5F SD......<\/._SB_

2.From SSDT5.dat, this file contains instructions for INTEL Table ID "xh_rvp08". It seems to be instructions for all \_SB.PCI0.XHC.RHUB devices. Specifically for \_SB.PCI0.XHC.RHUB.HS11, it is to return information concerning the USB Port Capabilities _UPC and Physical Location of Device _PLD (details of these is given in http://www.acpi.info/DOWNLOADS/ACPI_5_Errata%20A.pdf) :
    Scope (\_SB.PCI0.XHC.RHUB.HS11)
    {
        Method (_UPC, 0, NotSerialized) // _UPC: USB Port Capabilities
        {
            Return (GUPC (One))
        }

        Method (_PLD, 0, NotSerialized) // _PLD: Physical Location of Device
        {
            Return (GPLD (DerefOf (UHSD [0x0A]), 0x0B))
        }
    }

3. During $ iasl -e ssdt*.dat -d dsdt.dat, the resulting file dsdt.dsl warned:
     * iASL Warning: There were 19 external control methods found during
     * disassembly, but only 10 were resolved (9 unresolved).
   I tried $ iasl -e ssdt*.dat facp.dat -d dsdt.dat, because facp.dat was the only other aml type file provided by acpidump, by this command created a lot ACPI ERRORs and finally resulted in "Segmentation fault (core dumped)".
   There is a command to cause the objects defined in HS11 to be created relative to a new location _SB.PCI0.XHC.RHUB in the namespace under certain condition.
    If (PCHV () == SPTH)
    {
        Scope (_SB.PCI0.XHC.RHUB)
        {
            Device (HS11)
            {
                Name (_ADR, 0x0B) // _ADR: Address
            }

4. "$ iasl -sa dsdt.dsl" reported 3 errors.

Intel ACPI Component Architecture
ASL+ Optimizing Compiler version 20160422-64
Copyright (c) 2000 - 2016 Intel Corporation

Compiler aborting due to parser-detected syntax error(s)
dsdt.dsl 14493: Arg1
Error 6126 - ^ syntax error, unexpected PARSEOP_ARG1

dsdt.dsl 17932: }
Error 6126 - ^ syntax error, unexpected '}'

dsdt.dsl 33570:
Error 6126 - syntax error, unexpected $end and premature End-Of-File

ASL Input: dsdt.dsl - 33570 lines, 1067589 bytes, 16115 keywords
ASM Source: dsdt.asm - 193 bytes

Compilation complete. 3 Errors, 0 Warnings, 0 Remarks, 0 Optimizations

tags: added: bios-outdated-1703
Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
SunBear (sunbear-c22) wrote :

Christopher,

I have updated the bios with Z170M-PLUS-ASUS-1803.CAP.
$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
1803
05/09/2016

The same ACPI failures still appears in my syslog. See below. Thus, the updated bios did not fix the failures/bugs.

May 23 10:43:10 Eliot kernel: [ 0.000022] ACPI: Core revision 20150930
May 23 10:43:10 Eliot kernel: [ 0.017217] ACPI Error: [\_SB_.PCI0.XHC_.RHUB.HS11] Namespace lookup failure, AE_NOT_FOUND (20150930/dswload-210)
May 23 10:43:10 Eliot kernel: [ 0.017220] ACPI Exception: AE_NOT_FOUND, During name lookup/catalog (20150930/psobject-227)
May 23 10:43:10 Eliot kernel: [ 0.017248] ACPI Exception: AE_NOT_FOUND, (SSDT:xh_rvp08) while loading table (20150930/tbxfload-193)
May 23 10:43:10 Eliot kernel: [ 0.022535] ACPI Error: 1 table load failures, 8 successful (20150930/tbxfload-214)

I ran the same acpidump commands and got the same findings, other than ssdt6.dat now contains the instructions to return information concerning the USB Port Capabilities _UPC and Physical Location of Device _PLD of \_SB.PCI0.XHC.RHUB.HS11 instead of ssdt5.dat and there are now 12 ssdt files instead of 7.

Like to clarify that I created a new report because I was asked to.

What is the next course of action to fix this issue?

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
SunBear (sunbear-c22) wrote :
Download full text (6.8 KiB)

Christoper,

I reviewed my syslog concerning all Kernel-->ACPI logs via:
cat /var/log/syslog | grep kernel | grep ACPI

I have 2 questions and hope you can help me understand:

1. ACPI loaded the 8 SSDT tables. I assume these equate to the ssdt1.dat to ssdt8.dat files obtained from acpidump. However, ssdt9.dat to ssdt12.dat were not shown to be loaded. Why did it not report 4 table load failures but 1 in the ACPI Error? Below are the relevant tables reported in my syslogs?

May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: Early table checksum verification disabled
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: RSDP 0x00000000CDD39000 000024 (v02 ALASKA)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: XSDT 0x00000000CDD390A0 0000BC (v01 ALASKA A M I 01072009 AMI 00010013)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: FACP 0x00000000CDD5CB78 00010C (v05 ALASKA A M I 01072009 AMI 00010013)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: DSDT 0x00000000CDD391F8 02397B (v02 ALASKA A M I 01072009 INTL 20120913)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: FACS 0x00000000D751BF80 000040
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: APIC 0x00000000CDD5CC88 0000BC (v03 ALASKA A M I 01072009 AMI 00010013)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: FPDT 0x00000000CDD5CD48 000044 (v01 ALASKA A M I 01072009 AMI 00010013)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: FIDT 0x00000000CDD5CD90 00009C (v01 ALASKA A M I 01072009 AMI 00010013)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: MCFG 0x00000000CDD5CE30 00003C (v01 ALASKA A M I 01072009 MSFT 00000097)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: HPET 0x00000000CDD5CE70 000038 (v01 ALASKA A M I 01072009 AMI. 0005000B)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: SSDT 0x00000000CDD5CEA8 00036D (v01 SataRe SataTabl 00001000 INTL 20120913)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: LPIT 0x00000000CDD5D218 000094 (v01 INTEL SKL 00000000 MSFT 0000005F)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: SSDT 0x00000000CDD5D2B0 000248 (v02 INTEL sensrhub 00000000 INTL 20120913)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: SSDT 0x00000000CDD5D4F8 002BAE (v02 INTEL PtidDevc 00001000 INTL 20120913)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: SSDT 0x00000000CDD600A8 000BE3 (v02 INTEL Ther_Rvp 00001000 INTL 20120913)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: SSDT 0x00000000CDD60C90 0004A3 (v02 INTEL zpodd 00001000 INTL 20120913)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: DBGP 0x00000000CDD61138 000034 (v01 INTEL 00000000 MSFT 0000005F)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: DBG2 0x00000000CDD61170 000054 (v00 INTEL 00000000 MSFT 0000005F)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: SSDT 0x00000000CDD611C8 000705 (v02 INTEL xh_rvp08 00000000 INTL 20120913)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: SSDT 0x00000000CDD618D0 005359 (v02 SaSsdt SaSsdt 00003000 INTL 20120913)
May 23 09:35:47 Eliot kernel: [ 0.000000] ACPI: UEFI 0x00000000CDD66C30 000042 (v01 00000000 00000000)
May 23 09:35:47 Eliot kernel: [ 0....

Read more...

tags: added: latest-bios-1803
removed: bios-outdated-1703

SunBear, in order to allow additional upstream developers to examine the issue, at your earliest convenience, could you please test the latest upstream kernel available from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D ? Please keep in mind the following:
1) The one to test is at the very top line at the top of the page (not the daily folder).
2) The release names are irrelevant.
3) The folder time stamps aren't indicative of when the kernel actually was released upstream.
4) Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds .

If testing on your main install would be inconvenient, one may:
1) Install Ubuntu to a different partition and then test this there.
2) Backup, or clone the primary install.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, and Y are the first two numbers of the kernel version, and Z is the release candidate number if it exists.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Also, you don't need to apport-collect further unless specifically requested to do so.

Once testing of the latest upstream kernel is complete, please mark this report Status Confirmed. Please let us know your results.

Thank you for your understanding.

summary: - Ubuntu 16.04 LTS --> Kernal --> ACPI Errors: Namespace lookup failure
- and 1 table load failures
+ ACPI Error: [\_SB_.PCI0.XHC_.RHUB.HS11] Namespace lookup failure,
+ AE_NOT_FOUND (20150930/dswload-210)
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Hi Christopher,

I will give it a try but it may take some time. I have to learn to
backup my system first.

Appreciate if you can answer the 2 questions in my earlier post. This is
to help me understand the error messages and how they affects my setup.

Thanks.

On 23/05/2016 19:34, Christopher M. Penalver wrote:
> SunBear, in order to allow additional upstream developers to examine the issue, at your earliest convenience, could you please test the latest upstream kernel available from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D ? Please keep in mind the following:
> 1) The one to test is at the very top line at the top of the page (not the daily folder).
> 2) The release names are irrelevant.
> 3) The folder time stamps aren't indicative of when the kernel actually was released upstream.
> 4) Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds .
>
> If testing on your main install would be inconvenient, one may:
> 1) Install Ubuntu to a different partition and then test this there.
> 2) Backup, or clone the primary install.
>
> If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
> kernel-fixed-upstream
> kernel-fixed-upstream-X.Y-rcZ
>
> Where X, and Y are the first two numbers of the kernel version, and Z is
> the release candidate number if it exists.
>
> If the mainline kernel does not fix the issue, please add the following tags:
> kernel-bug-exists-upstream
> kernel-bug-exists-upstream-X.Y-rcZ
>
> Please note, an error to install the kernel does not fit the criteria of
> kernel-bug-exists-upstream.
>
> Also, you don't need to apport-collect further unless specifically
> requested to do so.
>
> Once testing of the latest upstream kernel is complete, please mark this
> report Status Confirmed. Please let us know your results.
>
> Thank you for your understanding.
>
> ** Summary changed:
>
> - Ubuntu 16.04 LTS --> Kernal --> ACPI Errors: Namespace lookup failure and 1 table load failures
> + ACPI Error: [\_SB_.PCI0.XHC_.RHUB.HS11] Namespace lookup failure, AE_NOT_FOUND (20150930/dswload-210)
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Incomplete
>

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Czikus (czikus-gmail) wrote :

I am seeing the exact same problem on Ubuntu 16.04 with kernel 4.9 rc7 on Dell Precision 5510 with the latest BIOS. The error was not there on kernel 4.7.

Any ideas what I can do to debug the issue?

Czikus (czikus-gmail) on 2016-12-14
Changed in linux (Ubuntu):
status: Expired → Incomplete

Czikus, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Jeffrey Walton (noloader) wrote :

Not sure if it changes things... ASUS released an update for the AMI UEFI on the Z170M-E DE board. Its now version 2202, dated 02/15/2017. The issue is still present.

tags: added: bios-outdated-3301 needs-upstream-testing
removed: latest-bios-1803
htrex (hantarex) wrote :

I'm seeing the same error on a Dell XPS 9560 using Ubuntu 16.04.2 with kernel hwe-edge
4.10.0-14-generic #16~16.04.1-Ubuntu SMP Fri Mar 17 17:28:20 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

I've filed a report with ubuntu-bug linux it's on #1680268

SunBear (sunbear-c22) wrote :

I had reported this bug error. However, i don't have this error anymore on a same system using Ubuntu16.04.2 with kernel 4.4.0-6x and kernel 4.8.0-xx. I suspect it is related to changes in UEFI/BIOS and using the more updated UEFI/BIOS driver versions.

Below are my UEFI settings and hope it help you (I don't know if they are correct for you or not). I am using ASUS Z170M-Plus motherboard.

Advance Setting -->Platform Misc Configuration
Platform Misc Configuration
--PCI Express Native Power Management (Enabled)
--Native ASPM (Enabled)
PCH-PCI Express
--PCH DMI ASPM (Enabled)
--ASPM (Auto)
SA-PCI Express
--DMI Link ASPM Control (L1)
--PEG-ASPM (Auto)

Advance Setting -->USB Configuration
Legacy USB Support (Enabled)
XHCI Hand-off (Enable)

Advance --> Boot
Fast Boot (Disabled)
CSM(Compatibility Support Module) --> Launch CSM (Disabled)
Secure Boot (Other OS)

no longer affects: linux (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

SunBear, this report is being closed due to your last comment https://bugs.launchpad.net/archlinux/+source/linux/+bug/1584407/comments/15 regarding this being fixed with a BIOS update.

Changed in linux (Ubuntu):
status: New → Confirmed
affects: linux (Arch Linux) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Invalid

I have the same bug on Dell Precision 5520 and Ubuntu 17.04 with either officially supported kernel 4.10.0-21 as well as mainline kernel 4.11.1.

[ 0.037469] ACPI Error: [\_SB_.PCI0.XHC_.RHUB.HS11] Namespace lookup failure, AE_NOT_FOUND (20170119/dswload-210)
[ 0.037476] ACPI Exception: AE_NOT_FOUND, During name lookup/catalog (20170119/psobject-227)
[ 0.037516] ACPI Exception: AE_NOT_FOUND, (SSDT:xh_rvp11) while loading table (20170119/tbxfload-228)
[ 0.040436] ACPI Error: 1 table load failures, 12 successful (20170119/tbxfload-246)

Adam (asarenski) wrote :

I would like to report that I have the same issue as well when trying to use an ubuntu live usb.
Mainboard:
Gigabyte Technology co. Ltd.
Z170X-Gaming 7

Tian Yong (htian) wrote :

Linus reported this bug last year, https://lkml.org/lkml/2016/10/5/299

htrex (hantarex) wrote :

Same error on Dell XPS 9560, Ubuntu 16.04.2 kernel 4.10.0-22-generic

MV (mvidal) wrote :

Same kind of error with ubuntu 17.10 on a MEDION computer with bios updated 110H4W0X.110 :

ACPI Error: [\_SB_.PCI0.XHC_.RHUB.HS11] Namespace lookup failure, AE_NOT_FOUND (20170531/dswload-210)
ACPI Exception: AE_NOT_FOUND, During name lookup/catalog (20170531/psobject-252)
ACPI Exception: AE_NOT_FOUND, (SSDT:xh_rvp08) while loading table (20170531/tbxfload-228)
ACPI Error: 1 table load failures, 7 successful (20170531/tbxfload-246)

WinEunuchs2Unix (ricklee518) wrote :

Error remains Dell based Skylake 6700HQ, HM170, nVidia 384.98, NVMe Gen3x4 M.2 SSD, Ubuntu 16.04.3, Kernel 4.14.4:

Dec 12 19:08:16 alien kernel: ACPI Error: [\_SB_.PCI0.XHC_.RHUB.HS11] Namespace lookup failure, AE_NOT_FOUND (20170728/dswload-210)
Dec 12 19:08:16 alien kernel: ACPI Exception: AE_NOT_FOUND, During name lookup/catalog (20170728/psobject-252)
Dec 12 19:08:16 alien kernel: ACPI Exception: AE_NOT_FOUND, (SSDT:xh_rvp10) while loading table (20170728/tbxfload-228)
Dec 12 19:08:16 alien kernel: ACPI Error: 1 table load failures, 9 successful (20170728/tbxfload-246)
Dec

WinEunuchs2Unix (ricklee518) wrote :

#15 says problem went away but is on Kernel 4.4 and Kerne 4.8 where message was "hacked" to not display. With kernels 4.9, 4.10, etc. the message reappears as per bug report here: https://bugzilla.kernel.org/show_bug.cgi?id=193531

#17 closing this bug based upon #15 should be reconsidered.

Also note this bug is a duplicate of: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1690502 which has fewer subscribers but more accurate information.

There is a third duplicate bug report in launchpad which I don't have the link for just now.

Jeffrey Walton (noloader) wrote :

> #15 says problem went away but is on Kernel 4.4 and Kerne 4.8
> where message was "hacked" to not display. With kernels 4.9, 4.10,
> etc...

That's not the first time the kernel folks have done that. They do it in the crypto subsystem to hide messages that folks would want to see and fix, like the random number generator having no entropy but startup programs trucking on as if get_random_{u32,u64,int,long} succeeded.

It would be nice to see the problem fixed rather than covering them up.

dmytriy (dmdmdiy) wrote :

I discovered the same problem on Alienware 15r2. I suspect this causes/indicates that a bug in ACPI disables the suspend and hibernate function. Specifically, after closing the lid on a laptop, it goes into suspend mode, but then after opening the screen stays black. If it helps: the hard drive starts spinning and the battery indicator blinks non-stop. Can anyone suggest a fix, please ?

dmytriy (dmdmdiy) wrote :

By the way, I am using Ubuntu 17.10

WinEunuchs2Unix (ricklee518) wrote :

@dmytriy--I suspect your suspend/resume problems are unrelated simply because there are hundreds of different problems in that area. I suggest searching Ask Ubuntu or Linux & Unix sites. For example, my Alienware AW17R3 with i-7 6700HQ (Skylake) wouldn't suspend/resume because of NVMe M.2 Gen 3.0 x 4 SSD. The solution, for me and a few others, was to put a kernel command line parameter in /etc/default/grub.

dmytriy (dmdmdiy) wrote :

Thank you for your reply. I tried adding a parameter in grub file also (acpihp.disable = 1), but that didn't works for me :( Anyways, I will keep looking, thanks

mrswescott (mrswescott) wrote :

I would like to report the same issue on a Zotac ZBOX-SN970-P.

The issue prevents booting from any Live USB install of the following distros :

Ubuntu 16.04.3 LTS, Ubuntu 17.10, Mint 18.3, Arch Linux 2017.12.01

The BIOS is as up to date as possible.

Luis Alberto Pabón (copong) wrote :

Same issue on Dell XPS 15 9560:

[ 0.004000] ACPI: Core revision 20170531
[ 0.004000] ACPI: Overriding _REV return value to 5
[ 0.038137] ACPI Error: [\_SB_.PCI0.XHC_.RHUB.HS11] Namespace lookup failure, AE_NOT_FOUND (20170531/dswload-210)
[ 0.038142] ACPI Exception: AE_NOT_FOUND, During name lookup/catalog (20170531/psobject-252)
[ 0.038181] ACPI Exception: AE_NOT_FOUND, (SSDT:xh_rvp11) while loading table (20170531/tbxfload-228)
[ 0.041005] ACPI Error: 1 table load failures, 12 successful (20170531/tbxfload-246)

Linux luis-XPS-15-9560 4.13.0-21-generic #24-Ubuntu SMP Mon Dec 18 17:29:16 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Ubuntu 17.10

Luis Alberto Pabón (copong) wrote :

I haven't noticed any adverse effects yet, but the laptop is relatively new and I'm not yet 100% familiar with its nooks and crannies.

Varisht Ghedia (varishtsg) wrote :

I too face the same issue on my dell Inspiron 15 7577 i5 7th Gen laptop. So far no negative effects other than long boot times despite using a full SSD system(256GB NVMe + 256GB SATA3). I have the latest bios as well.

William Klock (wklock) wrote :

I have this issue as well. ThinkPad P51, 4.15.4-041504-generic, Ubuntu 17.10

blszyn (blszyn) wrote :

Another ThinkPad P51
5.15.0-13-generic, Ubuntu 18.04

[ 0.000000] ACPI: Core revision 20170831
[ 0.000000] ACPI Error: [\_SB_.PCI0.XHC_.RHUB.HS11] Namespace lookup failure, AE_NOT_FOUND (20170831/dswload-210)
[ 0.000000] ACPI Exception: AE_NOT_FOUND, During name lookup/catalog (20170831/psobject-252)
[ 0.000000] ACPI Exception: AE_NOT_FOUND, (SSDT:ProjSsdt) while loading table (20170831/tbxfload-228)
[ 0.000000] ACPI Error: 1 table load failures, 11 successful (20170831/tbxfload-246)

Rik (riksoft) wrote :

Same problem with Asrock z370 Extreme4

Apr 24 08:31:48 localhost kernel: [ 0.033049] ACPI: Added _OSI(Processor Aggregator Device)
Apr 24 08:31:48 localhost kernel: [ 0.037493] ACPI Error: [_SB_.PCI0.RP05.PXSX] Namespace lookup failure, AE_NOT_FOUND (20170831/dswload2-191)
Apr 24 08:31:48 localhost kernel: [ 0.037502] No Local Variables are initialized for Method [PXSX]
Apr 24 08:31:48 localhost kernel: [ 0.037503] No Arguments are initialized for method [PXSX]
Apr 24 08:31:48 localhost stunnel4[947]: SSL tunnels disabled, see /etc/default/stunnel4
Apr 24 08:31:48 localhost kernel: [ 0.037504] ACPI Exception: AE_NOT_FOUND, During name lookup/catalog (20170831/psobject-252)
Apr 24 08:31:48 localhost kernel: [ 0.037507] ACPI Error: Method parse/execution failed \_SB.PCI0.RP04.PXSX, AE_NOT_FOUND (20170831/psparse-550)
Apr 24 08:31:48 localhost kernel: [ 0.037938] ACPI Error: [_SB_.PCI0.RP09.PXSX] Namespace lookup failure, AE_NOT_FOUND (20170831/dswload2-191)
Apr 24 08:31:48 localhost systemd[1]: Started LSB: Start or stop stunnel 4.x (SSL tunnel for network daemons).
Apr 24 08:31:48 localhost kernel: [ 0.037943] No Local Variables are initialized for Method [PXSX]
Apr 24 08:31:48 localhost kernel: [ 0.037944] No Arguments are initialized for method [PXSX]
Apr 24 08:31:48 localhost anacron[984]: Normal exit (0 jobs run)
Apr 24 08:31:48 localhost kernel: [ 0.037945] ACPI Exception: AE_NOT_FOUND, During name lookup/catalog (20170831/psobject-252)
Apr 24 08:31:48 localhost kernel: [ 0.037948] ACPI Error: Method parse/execution failed \_SB.PCI0.RP08.PXSX, AE_NOT_FOUND (20170831/psparse-550)

Devin Taietta (devintaietta) wrote :

Same here

ACPI Error: [\_SB_.PCI0.XHC_.RHUB.HS11] Namespace lookup failure, AE_NOT_FOUND (20170831/dswload-210)
mag 08 21:41:17 devin-XPS-15-9550 kernel: ACPI Exception: AE_NOT_FOUND, During name lookup/catalog (20170831/psobject-252)
mag 08 21:41:17 devin-XPS-15-9550 kernel: ACPI Exception: AE_NOT_FOUND, (SSDT:xh_rvp10) while loading table (20170831/tbxfload-228)
mag 08 21:41:17 devin-XPS-15-9550 kernel: ACPI Error: 1 table load failures, 12 successful (20170831/tbxfload-246)
mag 08 21:41:17 devin-XPS-15-9550 kernel: ENERGY_PERF_BIAS: Set to 'normal', was 'performance'
mag 08 21:41:17 devin-XPS-15-9550 kernel: ENERGY_PERF_BIAS: View and update with x86_energy_perf_policy(8)
mag 08 21:41:17 devin-XPS-15-9550 kernel: ACPI Error: [\_SB_.PCI0.LPCB.H_EC.CHRG] Namespace lookup failure, AE_NOT_FOUND (20170831/psargs-364)
mag 08 21:41:17 devin-XPS-15-9550 kernel: No Local Variables are initialized for Method [PNOT]
mag 08 21:41:17 devin-XPS-15-9550 kernel: No Arguments are initialized for method [PNOT]
mag 08 21:41:17 devin-XPS-15-9550 kernel: ACPI Error: Method parse/execution failed \PNOT, AE_NOT_FOUND (20170831/psparse-550)
mag 08 21:41:17 devin-XPS-15-9550 kernel: ACPI Error: Method parse/execution failed \_SB.AC._PSR, AE_NOT_FOUND (20170831/psparse-550)
mag 08 21:41:17 devin-XPS-15-9550 kernel: ACPI Exception: AE_NOT_FOUND, Error reading AC Adapter state (20170831/ac-139)
mag 08 21:41:17 devin-XPS-15-9550 kernel: ACPI Error: [\_SB_.PCI0.LPCB.H_EC.ECAV] Namespace lookup failure, AE_NOT_FOUND (20170831/psargs-364)
mag 08 21:41:17 devin-XPS-15-9550 kernel:
                                          Initialized Local Variables for Method [FNCL]:
mag 08 21:41:17 devin-XPS-15-9550 kernel: Local0: 00000000371c4672 <Obj> Integer 0000000000000001
mag 08 21:41:17 devin-XPS-15-9550 kernel: Local1: 000000009fadc1b6 <Obj> Integer 0000000000000000
mag 08 21:41:17 devin-XPS-15-9550 kernel: Local2: 00000000a1728e58 <Obj> Integer 0000000000000000
mag 08 21:41:17 devin-XPS-15-9550 kernel: Local3: 0000000029024229 <Obj> Integer 0000000000000000
mag 08 21:41:17 devin-XPS-15-9550 kernel: Local4: 00000000236db817 <Obj> Integer 0000000000000000
mag 08 21:41:17 devin-XPS-15-9550 kernel: Local5: 000000009a01c773 <Obj> Integer 0000000000000000
mag 08 21:41:17 devin-XPS-15-9550 kernel: Local6: 00000000c88fc2bf <Obj> Integer 0000000000000000
mag 08 21:41:17 devin-XPS-15-9550 kernel: No Arguments are initialized for method [FNCL]
mag 08 21:41:17 devin-XPS-15-9550 kernel: ACPI Error: Method parse/execution failed \_TZ.FNCL, AE_NOT_FOUND (20170831/psparse-550)

Zbigniew Lisiecki (zlisiecki) wrote :

Hi, I had the same error on ASUS Z170 PRO GAMING with a new opensuse Linux Leap 15 . No errors with former suse versions !
Now I updated the BIOS to Z170 PRO GAMING Ver 3805 build on 05/16/2018 and the error seems to disappear.

A assume: with Opensuse or ubuntu the same kernel module is involved in this case

htrex (hantarex) wrote :

On an Dell XPS 9560
Ubuntu 18.04.1
Linux OrionXPS 4.15.0-32-generic #35-Ubuntu SMP Fri Aug 10 17:58:07 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

[ 0.000000] ACPI Error: [\_SB_.PCI0.XHC_.RHUB.HS11] Namespace lookup failure, AE_NOT_FOUND (20170831/dswload-210)
[ 0.000000] ACPI Exception: AE_NOT_FOUND, During name lookup/catalog (20170831/psobject-252)
[ 0.000000] ACPI Exception: AE_NOT_FOUND, (SSDT:xh_rvp11) while loading table (20170831/tbxfload-228)
[ 0.000000] ACPI Error: 1 table load failures, 12 successful (20170831/tbxfload-246)

mercury (leisch) wrote :

$ lsb_release -rd
Description: Ubuntu 18.04.1 LTS
Release: 18.04

$ uname -r
4.15.0-43-generic

[ 0.000000] ACPI Error: [\_SB_.PCI0.XHC_.RHUB.HS11] Namespace lookup failure, AE_NOT_FOUND (20170831/dswload-210)
[ 0.000000] ACPI Exception: AE_NOT_FOUND, During name lookup/catalog (20170831/psobject-252)
[ 0.000000] ACPI Exception: AE_NOT_FOUND, (SSDT:xh_rvp10) while loading table (20170831/tbxfload-228)
[ 0.000000] ACPI Error: 1 table load failures, 7 successful (20170831/tbxfload-246)

Leon Yeoh (bitdash) wrote :

Description: Ubuntu 18.04.1 LTS
Release: 18.04

4.15.0-43-generic
also have tried 4.15.0-43-generic (same error)
I do not have older kernel on my system now, how to recover it? Thank you

now I cannot boot into my kubuntu
only can get to emergency mode (recovery mode failed as well)

journalctl -xb in emergency mode and found below errors (same as others in this thread)
ACPI Error [\_SB_.PCIO. xxxxxxx ] Namespace lookup failure, AE_NOT_FOUND

curlysue (curlywalter) wrote :

suddenly the same here
4.15.0-33-generic works fine
4.15.0-34-generic not
bios updated
it is a striped raid here

curlysue (curlywalter) wrote :

Description: Ubuntu 18.04.1 LTS
Release: 18.04
CPU~Quad core Intel Core i5-6600 (-MCP-) speed/max~1056/3900 MHz Kernel~4.15.0-33-generic x86_64 Up~22:28 Mem~2305.8/15714.8MB HDD~500.1GB(22.0% used) Procs~315 Client~Shell inxi~2.3.56
       Produkt: H170M Pro4S
       Hersteller: ASRock

same error
ACPI Error: [\_SB_.PCIO.XHC_RHUB.HS11] Namespace lookup failure, AE_NOT_FOUND (20170831/dswload-210)
ubuntu-18.04
4.15.0-46-generic
ASRock MB
Intel i3-7100

Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.